Summary:             A GTK+ 2ch.net BBS Browser
Name:                ochusha
Version:             0.5.8.2
Release:             3%{?dist}
URL:                 http://ochusha.sourceforge.jp/
Source:              http://keihanna.dl.sourceforge.jp/ochusha/16560/%{name}-%{version}.tar.bz2
# These patches are from discussion on
# http://pc8.2ch.net/test/read.cgi/linux/1148809116/
Patch1:              ochusha-0.5.8.2-glib-deprecated-option.patch
Patch2:              ochusha-0.5.8.2-cookie-hana-mogera.patch
License:             BSD
Group:               Applications/Internet
BuildRoot:           %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

Requires(post):      /sbin/ldconfig 
Requires(post):      %{_bindir}/update-desktop-database
Requires(post):      %{_bindir}/gtk-update-icon-cache
Requires(postun):    /sbin/ldconfig
Requires(postun):    %{_bindir}/update-desktop-database
Requires(postun):    %{_bindir}/gtk-update-icon-cache
Requires:            fonts-japanese
BuildRequires:       gtk2-devel
BuildRequires:       libSM-devel
BuildRequires:       libxml2-devel
BuildRequires:       openssl-devel
BuildRequires:       zlib-devel
BuildRequires:       desktop-file-utils
BuildRequires:       libXt-devel

%description
The ochusha is BBS, especially 2ch.net, browser with GUI.
It uses the GTK+ toolkit for all of its interface needs.
The ochusha offers a sort of features such as multi-level
popup view of `response's, inlining and popup view of
images that helps users to interact with BBSs.

%prep
%setup -q

%patch1 -p1 -b .glib
%patch2 -p1 -b .cookie

# change desktop entry to use png file in 
# %{icondir}
%{__sed} -i -e 's|Icon.*$|Icon=ochusha48.png|' gtk2/ochusha.desktop.in

%build
%configure
%{__make} %{?_smp_flags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# remove unneeded files
%{__rm} -f %{buildroot}%{_libdir}/lib*.{a,la,so}

# install desktop file and delete original
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
      --delete-original \
      --vendor fedora \
      --dir %{buildroot}%{_datadir}/applications \
      --add-category X-Fedora \
      %{buildroot}%{_datadir}/ochusha/%{name}.desktop

# link Icon png to icondir
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
ln -sf ../../../../ochusha/ochusha48.png \
   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

# change documents' encoding to UTF-8.
change_encoding(){
   CODE=$1
   shift
   for f in $* ; do
      mv ${f} ${f}.tmp
      iconv -f $CODE -t UTF-8 ${f}.tmp > ${f} && rm -f ${f}.tmp || \
         mv ${f}.tmp ${f}
   done
}

change_encoding EUCJP \
   BUGS ChangeLog INSTALL.jp NEWS README TODO \
   gtk2/ochusha-gtkrc.gray

# install mo files
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc ACKNOWLEDGEMENT AUTHORS BUGS COPYING ChangeLog INSTALL* NEWS README TODO
%doc gtk2/ochusha-gtkrc.*
%{_bindir}/ochusha
%{_libdir}/*.so.*
%{_datadir}/applications/fedora-*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/ochusha
%{_mandir}/man*/ochusha.1*


%changelog
* Sat Aug 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.5.8.2-3
- Install (link) icon to the usual directory and use 
  cache updating method.

* Sat Aug 26 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.5.8.2-2
- Explicitly require Japanese fonts.

* Wed Aug 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.5.8.2-1
- Import to Fedora Extras.
- Add two patch (from 2ch BBS ochusha thread).
- Remove unnecessary .so files and desktop file installed on wrong
  location.
- Use desktop-file-install, update-desktop-database
- Add some missing BR.
- Change documents' encoding.

* Wed Dec 29 2004 <fuyu@users.sourceforge.jp> 0.5.7.1-1
- Version up.
- The ochusha.spec file is polished according to anonymous people's voice.

* Wed Nov 25 2004 <fuyu@users.sourceforge.jp> 0.5.7-1
- Version up.
- The ochusha.spec file is polished according to Matchy's advise.

* Sat Nov 13 2004 <fuyu@users.sourceforge.jp> 0.5.6-1
- Version up.
- The ochusha.spec file is now generated automatically.
- Some hardcoded build/install rules are replaced with common macros.
- Post install/uninstall rules are modified to link/unlink the
  ochusha.desktop file for menu.

* Sat Jul 03 2004 <yuhei@users.sourceforge.jp> 0.5.5-1
- Version up.

* Sun Jun 20 2004 <yuhei@users.sourceforge.jp> 0.5.4.10-1
- Version up.

* Wed Jun 16 2004 <yuhei@users.sourceforge.jp> 0.5.4.9-1
- Version up.

* Tue Jun 15 2004 <yuhei@users.sourceforge.jp> 0.5.4.8-1
- Version up.

* Mon Jun 14 2004 <yuhei@users.sourceforge.jp> 0.5.4.7-1
- Version up.

* Sun Jun 13 2004 <yuhei@users.sourceforge.jp> 0.5.4.5-1
- Version up.

* Sat Jun 12 2004 <yuhei@users.sourceforge.jp> 0.5.4.4-1
- Version up.

* Sun Jun 06 2004 <yuhei@users.sourceforge.jp> 0.5.4.3-1
- Version up.

* Mon May 24 2004 <yuhei@users.sourceforge.jp> 0.5.4.2-1
- Version up.

* Mon May 17 2004 <yuhei@users.sourceforge.jp> 0.5.4.1-1
- Version up.

* Sun May 02 2004 <yuhei@users.sourceforge.jp> 0.5.2-1
- Version up.

* Sat Apr 10 2004 <yuhei@users.sourceforge.jp> 0.5.1-1
- Version up.
- Added manfile to filelist.
- Added mandir option to configure script.

* Mon Mar 01 2004 <yuhei@users.sourceforge.jp> 0.5-1
- Version up.
- Changed filelist.

* Wed Jan 28 2004 <yuhei@users.sourceforge.jp> 0.4.10.3-1
- Version up.

* Fri Jan 23 2004 <yuhei@users.sourceforge.jp> 0.4.10.1-1
- Version up.

* Wed Jan 21 2004 <yuhei@users.sourceforge.jp> 0.4.10-1
- Version up.

* Sun Jan 18 2004 <yuhei@users.sourceforge.jp> 0.4.9.7-1
- Version up.

* Sat Jan 17 2004 <yuhei@users.sourceforge.jp> 0.4.9.6-1
- Version up.

* Fri Jan 16 2004 <yuhei@users.sourceforge.jp> 0.4.9.5-1
- Version up.

* Wed Jan 14 2004 <yuhei@users.sourceforge.jp> 0.4.9.4-1
- Version up.

* Wed Jan 14 2004 <yuhei@users.sourceforge.jp> 0.4.9.3-1
- Version up.

* Tue Jan 13 2004 <yuhei@users.sourceforge.jp> 0.4.9.2-1
- Version up.

* Mon Jan 12 2004 <yuhei@users.sourceforge.jp> 0.4.9.1-1
- Version up.

* Tue Jan 01 2004 <yuhei@users.sourceforge.jp> 0.4.8.2-1
- Version up.

* Wed Dec 31 2003 <yuhei@users.sourceforge.jp> 0.4.8.1-1
- Version up.

* Tue Dec 30 2003 <yuhei@users.sourceforge.jp> 0.4.8-1
- Version up.
- Added files about libtsengine.
- Added ochusha-init.scm file.
- Added to run ldconfig when (un)installing. 

* Mon Dec 29 2003 <yuhei@users.sourceforge.jp> 0.4.7.1-1
- Version up.

* Wed Dec 24 2003 <yuhei@users.sourceforge.jp> 0.4.7-1
- Version up.

* Mon Dec 22 2003 <yuhei@users.sourceforge.jp> 0.4.6-1
- Version up.

* Sun Dec 21 2003 <yuhei@users.sourceforge.jp> 0.4.5.10-1
- Version up.

* Fri Dec 19 2003 <yuhei@users.sourceforge.jp> 0.4.5.7-1
- Version up.

* Tue Dec 16 2003 <yuhei@users.sourceforge.jp> 0.4.5.6-1
- Version up.

* Tue Dec 16 2003 <yuhei@users.sourceforge.jp> 0.4.5.5-1
- Version up.

* Sun Dec 14 2003 <yuhei@users.sourceforge.jp> 0.4.5.4-1
- Version up.

* Sat Dec 13 2003 <yuhei@users.sourceforge.jp> 0.4.5.3-1
- Version up.

* Mon Dec 09 2003 <yuhei@users.sourceforge.jp> 0.4.5.1-1
- Version up.

* Sat Dec 06 2003 <yuhei@users.sourceforge.jp> 0.4.5-1
- Version up.
- Added png icon file. 
- Added gtkrc file.

* Thu Nov 27 2003 <yuhei@users.sourceforge.jp> 0.4.4.8-1
- Added xpm icon file.
- Version up.

* Fri Nov 21 2003 <yuhei@users.sourceforge.jp> 0.4.4.3-1
- Version up.

* Fri Nov 14 2003 <yuhei@users.sourceforge.jp> 0.4.4.2-1
- Version up.
- Added some libraries. 

* Mon Jun 23 2003 <yuhei@users.sourceforge.jp> 0.4.3.6-1
- Version up.

* Wed Jun 11 2003 <yuhei@users.sourceforge.jp> 0.4.3.4-1
- Version up.
- changed prefix enviromental valuable.
- changed URL.

* Mon May 19 2003 <yuhei@users.sourceforge.jp> 0.4.3.3-1
- Version up.

* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.3.2-1
- Version up.
- Fixed Group.

* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.2.1-1
- Initial build.
